Funding
Get deposit addresses
GET
appIdbearerAuthheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
header
AuthorizationBearer <JWT>JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.
200
application/json- response
ready*trueThe addresses exist and can receive deposits.
Value in
trueevmAddress*stringThe user's deposit address on every supported EVM chain and Hyperliquid.
svmAddress*stringThe user's Solana deposit address (base58).
supportedChains*array<>Chains and tokens deposits are accepted on.
curl -X GET 'https://api.t.sufwankhalid.com/execution/deposit-addresses'Example Response
{ "ready": true, "evmAddress": "0x8e2d6a1c4f7b0e3d9a5c2f8b1e6d4a7c0f3b9e25", "svmAddress": "5Hq3sT8mZr2vKc9Lw4NpXy7BdJfGa6UeRk1oQi3VtC8n", "supportedChains": [ { "chainId": 137, "name": "Polygon", "tokens": [ { "symbol": "USDC", "address": "0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359", "decimals": 6 } ] }, { "chainId": 8453, "name": "Base", "tokens": [ { "symbol": "USDC", "address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "decimals": 6 } ] }, { "chainId": 42161, "name": "Arbitrum", "tokens": [ { "symbol": "USDC", "address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831", "decimals": 6 } ] } ]}